# Réunion du Collège Technique

* Date : Samedi 24 Avril 2021
* Lieu : <https://galene.crans.org/group/IN>
* Début : 15h00
* Fin : 17h15
* <https://pad.crans.org/p/Samedi24Avril2021>

## Présents

* shirenn
* ynerant
* esum
* erdnaxe (sporadiquement)
* solal
* vanille
* ds-ac
* ifugao

## Compte Rendu

### Déménagement à Saclay − Scission de l'infrastructure

#### Cachan − Installation de gulp

Gulp est le denier serveur du crans qui restera à Cachan, il va devoir assurer
l'accès à internet de tout le campus à lui tout seul. On va commencer par
installer à blanc tout ce qui est nécessaire pour le routage et on fera ensuite
la migration peu à peu (on peut se permettre de la faire switch à switch ce qui
évitera une coupure globale). On a fait le choix de garder l'instance de re2o à
Cachan sur toute la fin de la migration et sa bdd sera garder en local à même
sur l'hyperviseur. On détaille ensuite l'ensemble des taches à faire pour
configurer le serveur :

* Installation de PostGreSQL et migration de la base de données re2o (shirenn)
* Installation d'une vm de routage :
   * Installation du pare-feu et du nat (ds-ac encadré par esum)
   * Installation du radius (vanille encadré par ynerant)
   * Installation du dhcp et ra (ifugao encadré par shirenn)
   * Installation du dns recursif (solal)
   * Installation d'un pair BGP (ds-ac encadré par shirenn)
* Installation d'une vm re2o et du ldap associé (shirenn, please send help
  Pollion)
* Installation d'un controlleur unifi (solal encadré par ÿnérant)

On effectuera ensuite une première migration pour basculer le routage de toute
l'infra derrière gulp en faisant du BGP entre routeur-{sam,daniel,jack} et gulp
et une autre session BGP entre gulp et zayo.

Puis on pourra migrer switch par switch l'infrastructure vers gulp.

#### Saclay − Odlyd

ds-ac va installer Odlyd avec ÿnérant sous proxmox pour pouvoir faire des tests
avec Aurore et Via d'échanges de routes.

#### Saclay − Déménagement du reste de l'infrastructure

Camion, tchou tchou, et normalement, il n'y a rien à configurer à part changer
l'ip de pair de la session BGP.

##### Les blabla d'un vieux

Mikachu conseille pour les alim électriques de choisir deux couleurs de cables,
une pour la voie ondulée et une pour la voie non ondulée
Mikachu conseille aussi d'acheter des cables ethernet et/ou des fibres de
couleurs permettant de les distinguer

#### Achats de matériel pour le déménagement

Le CT propose l'achat de materiel suivant au CA :

* Un mail a été envoyé à la DSI de l'ens et de paris-saclay pour voir ce qu'il
  faut acheter en terme de sfp + fibre
* On voudrait en plus acheter quelques paires de sfp 10G pour pouvoir être large
* Le cluster actuel est un peu limité en ram, on voudrait acheter quelques
  barettes de RAM pour pallier à ce problème : 12*16GiB

### Discussion sur la documentation

La documentation est actuellement un peu en fouillis. Il y a des élèments
manquants et des choses plus du tout à jour. On voudrait aussi déplacer la
documentation technique sur un wiki à part. On propose de commencer pour le
moment par s'abstraire de l'engine qu'on va utiliser au profit d'un répot git
avec des fichiers markdowns. On réfléchira ensuite à comment le mettre en forme.

Un des principaux objectifs de cette nouvelle documentation est de bien
segmenter la différence entre les idées (protocoles, etc …) et les
implémentations (logiciels). Un autre point sur lequel on veut insister et
l'importance de certains services par rapport à d'autres. Certains dont on veut
assurer la pérénité par rapport à d'autres qui seraient moins important. À ces
fins, on propose de restructurer la doc de la manière suivante :

* Outils :
   * Dans cette section, on rassemble tous les outils utilisés et les
     descriptions de certains protocoles utilisés
      * Exemple d'outils : TLS, APT, debian, rsync, ssh, …
      * Exemple de connaissances : IP, Firewall, NAT, DHCP, …
      * Mais aussi quelques trucs et astuces de techniciens :
         * Acheter un disque
* Infrastructure :
   * Ici on décrit l'infrastructure dans sa globalité, pour faire simple ce que
     le Cr@ns met à disposition du Cr@ns.
   * Par exemple: LDAP administration, NFS, Plan IP & VLAN, matériel technique,
     Postgresql
* Services Critiques : ce qui ne doit pas être discontinué et avoir l'uptime le
  plus élevé possible. On a établi une liste exhaustive :
   * Réseaux (pare feu & NAT)
   * Mail (serveur imap & smtp, webmail, mailman (+CAS))
   * Gitlab
   * Owncloud
   * pad
   * wiki technique (actuellement sur kiwi tant qu'on a pas migré)
   * zamok (pages perso, etc …)
   * IRC
* Services Mineurs : Tout le reste
   * Linx
   * Framadate
   * Tracker
   * …

### Retour sur la Migration de Mailman 3

Actuellement, les mails de rappels de modérations sont envoyés
par {{{nounou[AT]lists.crans.org}}} alors qu'avant les mails venaient
de {{{${ml}-bounces[AT]lists.crans.org}}}. C'est un comportement qu'on
souhaiterait conserver, ynerant va investiguer. Et sinon les mails de
verification d'adresse mail sont envoyé
depuis {{{nounou[AT]lists.crans.org}}} comme c'était le cas avant et on s'est
demandé si on ne préfèrerait pas qu'il provienne
de {{{noreply[AT]lists.crans.org}}}.
